Ext.namespace('dSS11', 'dSS11.time');

dSS11.time.dateprint = function(date, month, year, hour, minute, zone) {
    switch (month) {
    case 0:
        month = _("January");
        break;
    case 1:
        month = _("February");
        break;
    case 2:
        month = _("March");
        break;
    case 3:
        month = _("April");
        break;
    case 4:
        month = _("May");
        break;
    case 5:
        month = _("June");
        break;
    case 6:
        month = _("July");
        break;
    case 7:
        month = _("August");
        break;
    case 8:
        month = _("September");
        break;
    case 9:
        month = _("October");
        break;
    case 10:
        month = _("November");
        break;
    case 11:
        month = _("December");
        break;
    default:
        month = "";
        break;
    }

    if (hour < 10) {
        hour = ('0' + hour);
    }

    if (minute < 10) {
        minute = ('0' + minute);
    }

    return (date + '. ' + month + ' ' + year + ', ' + hour + ':' + minute + 
        (((zone !== undefined) && (zone.length > 0)) ? ' ' + zone : '')); 
}

dSS11.time.update = function() {
    var t = new Date(Date.now() - dSS11.config.dSS11TimeDiff);
    Ext.get('currentTime').update(_("Current date and time") + ": " +
            dSS11.time.dateprint(t.getDate(), t.getMonth(), t.getFullYear(), 
                                 t.getHours(), t.getMinutes(), 
                                 dSS11.config.timeZoneShort
    ));
    dSS11.config.timeUpdateTimeout = setTimeout('dSS11.time.update();', 1000);
}

