//= require <addonsoverview>
//= require <addonsfeed>
//= require <addonsupdate>

Ext.namespace('dSS11', 'dSS11.config');

dSS11.AddOnsPanel = Ext.extend(Ext.TabPanel,
    {
        initComponent: function()
        {
            Ext.apply(this,
                {
                    items: [
                        {
                            title: _("Overview"),
                            xtype: 'dss11addonsoverview',
                            ref: 'overview'
                        },
                        {
                            title: _("Install"),
                            xtype: 'dss11addonsfeed',
                            ref: 'feeds'
                        },
                        {
                            title: _("Update"),
                            xtype: 'dss11addonsupdate'
                        }

                    ]
                }
            );

            dSS11.AddOnsPanel.superclass.initComponent.apply(this, arguments);

            this.on('activate',
                    function() {
                        if (this.getActiveTab() === null) {
                            this.setActiveTab(this.overview);
                        }
                    },
                    this
            );
        }
    }
);

Ext.reg('dss11addons', dSS11.AddOnsPanel);
